Subject: Re: [PATCH 1/2] t1415: avoid using `main` as ref name

From: Jonathan Nieder <[email-masked]>
Date: Mon, 5 Oct 2020 02:54:48 -0700

Hi,

Johannes Schindelin wrote:

> In preparation for a patch series that will change the fall-back for
> `init.defaultBranch` to `main`, let's not use `main` as ref name in this
> test script.

Interesting.  I assume the issue is this line?

	-	git -C fer1/repo for-each-ref --format="%(refname)" | grep main >actual &&

I.e., it's not actually that naming a worktree "main" will break
anything, but just that the test catches refs/heads/main in the same
net when it does grepping?

If the commit message explains that, then this patch looks good to me.
Without such an explanation, it would make me fear that we have some
underlying bug in "git worktree".

Thanks,
Jonathan